//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 1 lights, 5 textures and 6 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.01 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 10/19/1998    (19.10.1998)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <-11.157, -20.000, 8.260>
  direction <0.0,     0.0,  11.4823>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Light1
  <-4.841, 5.354, 2.119>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  TEXTURES  *******
//

#include "esb3.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

sphere { // Planet
  <0,0,0>,1
  texture {
    PlanetTexture
  }
  scale 8.5
  translate  <15.0, 15.0, 0.0>
}


disc { // Waterlevel
  <0,0,0>, <0,0,1>, 1.0
  texture {
    Water
  }
  scale <0.7, 0.7, 1.0>
  translate  -0.19*z
}


sphere { // Sky
  <0,0,0>,1
  texture {
    Apocalypse
  }
  scale 100.0
}




#declare HgtFld001 = object { 
  height_field {
    tga "C:\Users\Huth\Vorlesung WS9899\Berechnungen\ESB\Pot2d.tga"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    Asteroid
  }
  scale <1.0, 1.0, 0.3>
}
#declare HgtFld2 = object { 
  height_field {
    tga "C:\Users\Huth\Vorlesung WS9899\Berechnungen\ESB\Pot2d.tga"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    Asteroid
  }
  scale <1.0, 1.0, 0.3>
  translate  -0.01*z
}
difference { // Barriere
  object { HgtFld001 }
  object { HgtFld2 }
  texture {
    Asteroid
  }
  translate  -0.3*z
}


